"use strict";

const either = require("@validatem/either");

module.exports = function (operations) {
	const isObjectType = require("./is-object-type")(operations);
	const isPossiblyForeignColumn = require("./is-possibly-foreign-column")(operations);
	
	return either([
		isObjectType("alias"),
		isPossiblyForeignColumn, // FIXME: Think about whether we actually want to permit foreign columns here, without an alias.
	]);
};
